#! /bin/sh

ln -fs /usr/local/lib/X11/mini-icons/mini-zoom.xpm /usr/share/icons/hicolor/16x16/apps/monkey-find.xpm

mkdir -p $HOME/.config/rox.sourceforge.net/OpenWith/.inode_mount-point

ln -fs "/usr/local/apps/Bulldog finder" $HOME/.config/rox.sourceforge.net/SendTo/.inode_directory
ln -fs "/usr/local/apps/Bulldog finder" $HOME/.config/rox.sourceforge.net/SendTo/.inode_mount-point

a=`which Thunar`
if  [ -n "$a" ];then

cat $HOME/.config/Thunar/uca.xml | grep -q "Bulldog finder"

if [ "$?" = "0" ]; then 
Xdialog --title "Info"  --rc-file /root/.config/pclock/orangebox.rc  --ok-label "OK" --backtitle "\nBulldog finder is already installed.\n "  --msgbox  "" 0 0 &
exit 0
fi

if [ ! -e /root/.config/Thunar/uca.xml ];then

echo "<?xml encoding="UTF-8" version="1.0"?>
<actions>
<action>
	<icon>find</icon>
	<name>Bulldog finder</name>
	<command>/usr/local/bin/bulldog-finder %F</command>
	<description>Search inside</description>
	<patterns>*</patterns>
	<directories/>
	
</action>
</actions>" > ~/.config/Thunar/uca.xml
else
sed -i 's|</actions>||g' ~/.config/Thunar/uca.xml
sed -i '/^ *$/d' ~/.config/Thunar/uca.xml
echo "<action>
	<icon>find</icon>
	<name>Bulldog finder</name>
	<command>/usr/local/bin/bulldog-finder %F</command>
	<description>Search inside</description>
	<patterns>*</patterns>
	<directories/>
	
</action>
</actions>" >> ~/.config/Thunar/uca.xml
fi
Xdialog --title "Help"  --rc-file /root/.config/pclock/orangebox.rc  --ok-label "OK" --backtitle "\nRestart X Windows\nto activate right-click.\n "  --msgbox  "" 0 0
fi

exit 0